Subject: bug#7318: 23.2.50; Crash in GC system

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Aug 2019 14:06:19 -0700

Ningyu Shi <[email-masked]> writes:

> There are several cases I can crash emacs, all ends up to the GC system. I provide two cases with backtraces.
>
> 1. Open emacs with about 10 files, and use global-auto-revert-mode. Then try to change the file content very quickly from outside of emacs. I do 'git checkout brancha' and 'git checkout branchb' very quickly. Watch for emacs to crash/freeze. In case of crash, the bt is
>
> #0  0x000000000059af40 in Fgarbage_collect () at alloc.c:5117
> #1  0x000000000060d909 in Fbyte_code (bytestr=8338641, vector=8338677, maxdepth=20) at bytecode.c:529
> #2  0x00000000005bbcf3 in funcall_lambda (fun=8338557, nargs=2, arg_vector=0x7fbff60f18) at eval.c:3220

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

This crash wasn't handled at the time, and as this was reported more
than six years ago, I don't think there's much chance of making any
progress here, so I'm closing this bug report.  If you're still seeing
similar crashes in modern Emacs versions, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no